classification
Title: Improve coverage of email.utils.make_msgid()
Type: enhancement Stage: resolved
Components: email, Tests Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, dillon.brock, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2016-10-10 17:06 by dillon.brock, last changed 2016-12-18 03:06 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
make_msgid_coverage.patch dillon.brock, 2016-10-10 17:05 Patch to improve coverage of email.utils.make_msgid() review
Messages (4)
msg278430 - (view) Author: Dillon Brock (dillon.brock) * Date: 2016-10-10 17:05
There were 2 lines of email.utils.make_msgid() that were not covered (lines 202 and 204 of Lib/email/utils.py), so I wrote a quick patch to cover them.
msg283521 - (view) Author: Dillon Brock (dillon.brock) * Date: 2016-12-17 21:59
Ping.
msg283530 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-18 03:05
New changeset 8687b3554b1f by R David Murray in branch '3.5':
#28407 Improve test coverage of make_msgid.
https://hg.python.org/cpython/rev/8687b3554b1f

New changeset 87671b1f7ff4 by R David Murray in branch '3.6':
Merge #28407 Improve test coverage of make_msgid.
https://hg.python.org/cpython/rev/87671b1f7ff4

New changeset c016ab381894 by R David Murray in branch 'default':
Merge #28407 Improve test coverage of make_msgid.
https://hg.python.org/cpython/rev/c016ab381894
msg283531 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-12-18 03:06
Thanks Dillon.
History
Date User Action Args
2016-12-18 03:06:21r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg283531

stage: resolved
2016-12-18 03:05:52python-devsetnosy: + python-dev
messages: + msg283530
2016-12-17 21:59:47dillon.brocksetmessages: + msg283521
2016-10-10 17:06:00dillon.brockcreate